---
Name: "EXAMPLE-napalm-gamble-merge"
Description: EXAMPLE profile for NAPALM automation - clone me
Documentation: |
  Provides an example Profile with configuration information to make
  `merge` changes to a Switch device managed by NAPALM and Digital
  Rebar Platform (DRP).

  This example only provides reference usage, and is not valid unless
  you customize the values to operate with your switch/router device.

  !!! warning
      This example sets the `napalm/commit-config` to `true`
      which means configurations will immediately be applied
      to the system.  Set this param to `false` to only perform
      a `dry-run` type operation.

      Recommendation would be to NOT set this Param in the
      Profile, but set it on the managing Context for the switch.
      Then toggle it between `false` and `true` to implement
      changes after review.

Meta:
  icon: "bomb"
  color: "yellow"
  title: "Digital Rebar Platform"
Params:
  napalm/commit-config: true
  napalm/config-template: "EXAMPLE-napalm-gamble-merge.conf.tmpl"
  napalm/load-operation: "merge"
  napalm/config-hostname: "10.10.1.8"
  napalm/config-username: "rebar"
  napalm/config-password: "RocketSkates"
  napalm/config-optional: '{"port": 443}'
  napalm/config-extra: ""
